import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/models/app.dart';
import 'package:worker_client/models/entities/Machinery.dart';
import 'package:worker_client/pages/machineryList/widgets/MachineryCard.dart';
import 'package:worker_client/services/machinery.dart';
import 'package:worker_client/widgets/RefreshMoreList.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class MachineryList extends BasicPage {
  final machineryList = Rx<List<Machinery>>([]);
  String? location = AppController.t.locationStr;
  final params = Rx<Map<String, dynamic>>({'pageSize': 10});
  Function? Refresh;

  List<Machinery> GetList(value) {
    List<Machinery> list = [];
    if (value != null)
      value.forEach((item) => {list.add(Machinery.fromJson(item))});
    return list;
  }

  @override
  void beforeShow() {
    super.beforeShow();
    params({'location': location});
  }

  void goDetail(id) {
    Get.toNamed('/machineryDetail', arguments: {'id': id});
  }

  void goMap(id) {
    Get.toNamed('/machineryMap', arguments: {'id': id});
  }

  @override
  Widget builder(BuildContext context) {
    naviTitle = '农机列表';
    params({'location': location});
    return Container(
      padding: EdgeInsets.only(top: 15.w),
      child: RefreshMoreList(
        pPrams: params,
        cardText: '暂无订单',
        fetch: getMachineryList,
        useState: (state) {
          machineryList(GetList(state));
        },
        builder: ({required BuildContext context, required Function toggle}) {
          Refresh = toggle;
          return Obx(
            () => Column(
              children: machineryList.value
                  .map((e) => MachineryCard(
                      machinery: e,
                      goDetail: () {
                        goDetail(e.machineryId);
                      },
                      goMap: () {
                        goMap(e.machineryId);
                      }))
                  .toList(),
            ),
          );
        },
      ),
    );
  }
}
