import 'package:flutter/material.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/models/entities/Log.dart';
import 'package:worker_client/pages/wallet/widget/moneyInfo.dart';
import 'package:worker_client/services/account.dart';
import 'package:worker_client/widgets/MoneyCard/index.dart';
import 'package:worker_client/widgets/MyTitle/index.dart';
import 'package:worker_client/widgets/RefreshMoreList.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class MyWallet extends BasicPage {
  MyWallet({Key? key}) : super(key: key) {
    naviTitle = '我的钱包';
  }
  final amounts = Rx<double>(0);
  final logList = Rx<List<LogModel>>([]);
  final params = Rx<Map<String, dynamic>>({'pageSize': 10});
  Function? Refresh;

  List<LogModel> GetList(value) {
    List<LogModel> list = [];
    if (value != null) {
      value.forEach((item) => {list.add(LogModel.fromJson(item))});
    }
    return list;
  }

  @override
  void beforeShow() {
    super.beforeShow();
    EasyLoading.show(
      status: '数据加载中...',
      maskType: EasyLoadingMaskType.black,
    );
    getAccount().then((res) {
      amounts(double.parse(res['amounts'].toString()));
      EasyLoading.dismiss();
    }).catchError((onError) => {
          EasyLoading.dismiss(),
        });
  }

  void goWithDrawal() {
    Get.toNamed('/withdrawal', arguments: {'amounts': amounts.value});
  }

  @override
  Widget builder(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(15.w),
      decoration: const BoxDecoration(color: Colors.white),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Obx(
            () => MoneyCard(
              amounts: amounts.value,
              goWithDrawal: () {
                goWithDrawal();
              },
            ),
          ),
          const MyTitle(title: '零钱明细'),
          Expanded(
              flex: 1,
              child: RefreshMoreList(
                  pPrams: params,
                  cardText: '暂无明细',
                  fetch: getLogList,
                  useState: (state) {
                    logList(GetList(state));
                  },
                  builder: (
                      {required BuildContext context,
                      required Function toggle}) {
                    Refresh = toggle;
                    return Obx(
                      () => Column(
                        children: logList.value
                            .map((e) => MoneyInfoCard(
                                  logData: e,
                                ))
                            .toList(),
                      ),
                    );
                  })),
        ],
      ),
    );
  }
}
