import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:worker_client/models/entities/Log.dart';

class MoneyInfoCard extends StatelessWidget {
  final LogModel logData;
  const MoneyInfoCard({Key? key, required this.logData}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: 1.h),
      padding: EdgeInsets.symmetric(vertical: 15.h, horizontal: 10.w),
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: [
          BoxShadow(color: const Color(0x20000000), offset: Offset(0, 1.h))
        ],
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text(
                logData.chargeType == 'order_pay'
                    ? '订单收入'
                    : logData.chargeType == 'order_refund'
                        ? '用户退款'
                        : logData.chargeType == 'withdraw'
                            ? '提现'
                            : '',
                style: TextStyle(
                  fontWeight: FontWeight.bold,
                  color: const Color(0xff333333),
                  fontSize: 16.sp,
                ),
              ),
              Container(
                margin: EdgeInsets.only(right: 5.w),
                child: logData.chargeType == 'order_pay'
                    ? Text(
                        '+${(logData.money ?? 0) / 100}',
                        style: TextStyle(
                          color: const Color(0xffff3f3f),
                          fontSize: 20.sp,
                          fontWeight: FontWeight.bold,
                        ),
                      )
                    : Text(
                        '-${(logData.money ?? 0) / 100}',
                        style: TextStyle(
                          color: const Color(0xff00ae3a),
                          fontSize: 15.sp,
                          fontWeight: FontWeight.bold,
                        ),
                      ),
              ),
            ],
          ),
          Padding(
            padding: EdgeInsets.only(top: 13.h),
            child: Text(
              logData.createDate.toString().substring(0, 16),
              style: TextStyle(
                fontSize: 15.sp,
                color: const Color(0xff666666),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
