import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class MoneyCard extends StatefulWidget {
  final bool type;
  final double amounts;
  final GestureTapCallback goWithDrawal;
  const MoneyCard(
      {Key? key,
      this.type = false,
      required this.amounts,
      required this.goWithDrawal})
      : super(key: key);

  @override
  State<MoneyCard> createState() => _MoneyCardState();
}

class _MoneyCardState extends State<MoneyCard> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: 345.w,
      padding: EdgeInsets.fromLTRB(40.w, 33.5.w, 0, 22.5.w),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.all(Radius.circular(20.w)),
        image: const DecorationImage(
          image: AssetImage(
            'images/main/walletBgi.png',
          ),
        ),
      ),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            '钱包余额(元)',
            style: TextStyle(
              fontSize: 16.sp,
              color: Colors.white,
            ),
          ),
          Container(
            margin: EdgeInsets.only(top: 20.w),
            child: Text(
              (widget.amounts / 100).toString(),
              style: TextStyle(
                fontSize: 33.sp,
                color: Colors.white,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
          Opacity(
            opacity: !widget.type ? 1 : 0,
            child: GestureDetector(
              onTap: widget.goWithDrawal,
              child: Container(
                alignment: Alignment.center,
                width: 80.w,
                height: 34.w,
                margin: EdgeInsets.only(top: 12.w),
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.circular(16.w),
                  gradient: const LinearGradient(
                    begin: Alignment.topCenter,
                    end: Alignment.bottomCenter,
                    colors: [
                      Color(0xff37BC6A),
                      Color(0xff127B39),
                    ],
                  ),
                ),
                child: Text(
                  '提现',
                  style: TextStyle(
                    fontSize: 19.sp,
                    color: Colors.white,
                    fontWeight: FontWeight.bold,
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}
